Skip to content
Browse files

converted to gem

  • Loading branch information...
1 parent 3661fc6 commit 8be8689c78d2074a45dd48a921365a3c0a2806d2 Matthew committed
Showing with 98 additions and 6 deletions.
  1. +1 −5 .gitignore
  2. +2 −0 CHANGELOG
  3. 0 LICENSE → MIT-LICENSE
  4. +18 −1 Rakefile
  5. +77 −0 test_spec_on_rails.gemspec
View
6 .gitignore
@@ -1,5 +1 @@
-.svn
-<<<<<<< HEAD:.gitignore
-=======
-.svn/*
->>>>>>> b5e4da7269801960e95c60b3aa6e3b95d4f3dd77:.gitignore
+pkg
View
2 CHANGELOG
@@ -1,3 +1,5 @@
+12/03/09 - Is now a gem [Matthew Bass]
+
07/01/08 - should.render now takes optional response code [Matthew Bass]
06/28/08 - Added should.render for testing template rendering [Matthew Bass]
View
0 LICENSE → MIT-LICENSE
File renamed without changes.
View
19 Rakefile
@@ -1,3 +1,4 @@
+require 'rubygems'
require 'rake'
require 'rake/testtask'
require 'rake/rdoctask'
@@ -20,4 +21,20 @@ Rake::RDocTask.new(:rdoc) do |rdoc|
rdoc.options << '--line-numbers' << '--inline-source'
rdoc.rdoc_files.include('README')
rdoc.rdoc_files.include('lib/**/*.rb')
-end
+end
+
+begin
+ require 'jeweler'
+ Jeweler::Tasks.new do |gemspec|
+ gemspec.name = "test_spec_on_rails"
+ gemspec.summary = "Provides helpers to test your Rails app using test/spec."
+ gemspec.description = "Provides helpers to test your Rails app using test/spec."
+ gemspec.email = "pelargir@gmail.com"
+ gemspec.homepage = "http://github.com/pelargir/test_spec_on_rails"
+ gemspec.authors = ["Matthew Bass"]
+ end
+rescue LoadError
+ puts "Jeweler not available. Install it with: sudo gem install technicalpickles-jeweler -s http://gems.github.com"
+end
+
+Dir["#{File.dirname(__FILE__)}/tasks/*.rake"].sort.each { |ext| load ext }
View
77 test_spec_on_rails.gemspec
@@ -0,0 +1,77 @@
+# Generated by jeweler
+# DO NOT EDIT THIS FILE DIRECTLY
+# Instead, edit Jeweler::Tasks in Rakefile, and run the gemspec command
+# -*- encoding: utf-8 -*-
+
+Gem::Specification.new do |s|
+ s.name = %q{test_spec_on_rails}
+ s.version = "1.1.0"
+
+ s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
+ s.authors = ["Matthew Bass"]
+ s.date = %q{2009-12-03}
+ s.description = %q{Provides helpers to test your Rails app using test/spec.}
+ s.email = %q{pelargir@gmail.com}
+ s.extra_rdoc_files = [
+ "README.markdown"
+ ]
+ s.files = [
+ ".gitignore",
+ "CHANGELOG",
+ "README.markdown",
+ "Rakefile",
+ "VERSION",
+ "lib/generators/controller/USAGE",
+ "lib/generators/controller/controller_generator.rb",
+ "lib/generators/controller/templates/controller.rb",
+ "lib/generators/controller/templates/functional_test.rb",
+ "lib/generators/controller/templates/helper.rb",
+ "lib/generators/controller/templates/view.html.erb",
+ "lib/generators/model/USAGE",
+ "lib/generators/model/model_generator.rb",
+ "lib/generators/model/templates/fixtures.yml",
+ "lib/generators/model/templates/migration.rb",
+ "lib/generators/model/templates/model.rb",
+ "lib/generators/model/templates/unit_test.rb",
+ "lib/test/spec/rails.rb",
+ "lib/test/spec/rails/convenience.rb",
+ "lib/test/spec/rails/dummy_response.rb",
+ "lib/test/spec/rails/should_redirect.rb",
+ "lib/test/spec/rails/should_render.rb",
+ "lib/test/spec/rails/should_route.rb",
+ "lib/test/spec/rails/should_select.rb",
+ "lib/test/spec/rails/should_validate.rb",
+ "lib/test/spec/rails/should_validate_presence_of.rb",
+ "lib/test/spec/rails/test_dummy.rb",
+ "lib/test/spec/rails/test_layout.rb",
+ "lib/test/spec/rails/test_spec_ext.rb",
+ "lib/test/spec/rails/test_status.rb",
+ "lib/test/spec/rails/test_template.rb",
+ "lib/test/spec/rails/test_unit_ext.rb",
+ "lib/test/spec/rails/test_url.rb",
+ "lib/test/spec/rails/use_controller.rb",
+ "tasks/spec.rake",
+ "test/test/spec/rails/test_status_test.rb",
+ "test/test_helper.rb"
+ ]
+ s.homepage = %q{http://github.com/pelargir/test_spec_on_rails}
+ s.rdoc_options = ["--charset=UTF-8"]
+ s.require_paths = ["lib"]
+ s.rubygems_version = %q{1.3.5}
+ s.summary = %q{Provides helpers to test your Rails app using test/spec.}
+ s.test_files = [
+ "test/test/spec/rails/test_status_test.rb",
+ "test/test_helper.rb"
+ ]
+
+ if s.respond_to? :specification_version then
+ current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
+ s.specification_version = 3
+
+ if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
+ else
+ end
+ else
+ end
+end
+

0 comments on commit 8be8689

Please sign in to comment.
Something went wrong with that request. Please try again.